# Rime dictionary: smzm
# encoding: utf-8
# 本文件用途——三码郑码（smzm）输入法 用户自定义码表
#-------------------------------------

# 重要提醒：
# ！！！用户自定义码表由用户自行维护。请注意备份及同步。 ！！！
# ！！！请误将个人密码添加为自定义词语，因本码表明文存储，无加密。！！！

#-------------------------------------

# 使用说明：
# ※每行一个自定义条目。
# ※格式为：字/词条目+Tab符+编码。 条目及编码间以制表符（Tab符）分隔。请尤其注意如果以“空格”分隔自定义条目将无法生效！
# ※自定义条目不限制为单字（可为词形式），意味着条目可为自定义短语，且可含有标点符号。
#     例如：“XXXX@xx.com”；“稳住，我们能赢”；“马丁·路德·金”；“13888888888”  。

# ※可添加三码全码条目。    格式如：
#     ［条目	abc］
# ※可添加一级简码条目。格式如下：
#     ［条目	x1］ ——空格输出的简码
#     ［条目	x2］ ——分号输出的简码
#     ［条目	x.］ ——句号输出的简码
#     ［条目	x/］ ——斜杠输出的简码
# ※可添加二级简码条目。格式如下：
#     ［条目	ab1］ ——空格输出的简码
#     ［条目	ab2］ ——分号输出的简码
#     ［条目	ab.］ ——句号输出的简码
#     ［条目	ab/］ ——斜杠输出的简码
# ※可添加“/”引导的条目。 格式如：
#     ［条目	/abcd］
# ※可添加含重码字的条目，以实现自动选重。 格式如下：
#     ［条目	abcxyz］——abc为第一字编码，xyz为第二字编码，
#     如果词组内含有简码字，需和上述一二简格式一致（即后加1/2）。
#     可选：自动选重条目末尾可增加标识符*。不加不影响基本功能。

#-------------------------------------

# 小TIPS：

# ※空码位置分布：
#  “XX.”（最后一码是“.”）位置全部为空。可用来放置二简词等。官方建议是不设任何二简词，因其需人工分词影响输入体验。
#  “XX/”（最后一码是“/”）位置全部为空。可用来放置二简词等。官方建议是不设任何二简词，因其需人工分词影响输入体验。
#  “XXT”（最后一码是“T”）编码位置/空间几乎全部为空。可用来放置二简词等。官方建议是不设任何二简词，因其需人工分词影响输入体验。

# ※如果某条目最后自行添加了注释（即#开头内容），注意注释和编码之间不可使用"空格字符"，需要使用"tab符号"。否则会使该词条失效。

# ※本表中条目如果是三码唯一，则会自动上屏。如不希望唯一自动上屏，需要额外添加一条编码相同（但编码对应内容不同）的词条。
#    例如假设本表中添加了条目"张三	abc"，且其编码"abc"是三码唯一的，但不希望其自动上屏，可以通过在本表中添加"李四	abc"条目来解决。

# ※本表中条目如果同其它编码重码，则本表中条目会排序优先（处于首选位置）。这有可能会导致首选条目并不是想要的条目。
#   上述问题可以通过“用户重新自定义该编码位置”解决。即将该位置的所有编码按照用户想要的顺序在本表中重写一遍。
#    例如在本表中增加"xxxx@xx.com	kiy"后它将占据"kiy"位置的首选，并使得原本位置上的“邮”字被迫成为二选字（即所有使用该字的情境均需选重），这并不是想要的结果。
#    为解决增加"xxxx@xx.com	kiy"后挤占据"邮"的首选位置的问题，可以通过在本表中添加"邮	Kiy"条目（并且其位置必须在条目"xxxx@xx.com	kiy"之前）来解决。
#    如此添加后，"邮"字根据本表中顺序会是首选，"xxxx@xx.com"根据本表中顺序会是二选。

#-------------------------------------

---
name: smzm.custom
version: '20220601'

...

#-------------------------------------

#以下条目用以在有重码的情况下，重新定义各编码位置顺序。
邮	kiy
微	ol1
祺	wec
地	d2
手	mda
䝙	pho

#-------------------------------------

#以下条目为自定义码表条目。
QQ:xxxxxxxx	qqq	#你的QQ号码。 
xxxx@xx.com	kiy	#你的邮箱。编码使用"邮箱"首字"邮"的编码。
xxxx@xx.com	/mail	#你的邮箱。编码使用英文单词作为编码。
Wechat:xxxxxx	ol1	#你的微信号码。编码使用"微信"首字"微"的编码。
Wechat:xxxxxx	wec	#你的微信号码。编码使用"Wechat"词的前三字母。
Wechat:xxxxxx	/wech	#你的微信号码。编码使用英文单词wechat前四个字母作为编码。
X省X市X区X路X弄X号X室	d2	#你的地址。编码使用"地址"首字"地"的编码。
13888888888	mda	#你的手机电话号码。编码使用"手机"首字"手"的编码。
13888888888	pho	#你的手机电话号码。此处用了"Phone"词的前三字母。
稳住，我们能赢	/msms	#带标点符号的短语。
马丁·路德·金	/xajp	#（带标点符号的）人名。
我是彩蛋	/mkpx	#官方格式的四字词/多字词。
橘橘	fxlfxl	#官方格式的智能选重词。
大の橘	d1;fxl
僻字	nxswya
lua	lua	#"lua"编码位置为空，使得英文字符"lua"在中文状态下（不用切换英文状态）可以直接上屏。
temp	tem


